Skip to main content
`Ctrl`+`K`

# PetscSectionSetDof

Sets the total number of degrees of freedom associated with a given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetDof(PetscSection s, PetscInt point, PetscInt numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- numDof - the number of dof, these values may be negative -(dof+1) to indicate they are off process

## Note

This number is for the unnamed default field at the given point plus all degrees of freedom associated with all fields at that point

## See Also

PetscSection, `PetscSection`, `PetscSectionGetDof()`, `PetscSectionAddDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex30.c
src/ts/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex7.c
src/snes/tutorials/ex7.c
src/ts/tutorials/ex11_sa.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages